com.corticon.rulesemf.common

## Interface Annotation

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActivityShape, Annotatable, CorticonObject, DecisionEdge, DecisionShape, FlowDiagram, FlowEdge, FlowShape, InitiateShape, LoopbackEdge, TerminateShape

      public interface Annotation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Annotation'.

  The following features are supported:

  - `Name`
  - `Value`
  See Also:
    `CommonPackage.getAnnotation()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `java.lang.String` | `getValue()` Returns the value of the 'Value' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `CommonPackage.getAnnotation_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getValue

          java.lang.String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `CommonPackage.getAnnotation_Value()`

    - #### setValue

          void setValue(java.lang.String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.